#include <iostream>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    long n;
    scanf("%d",&n);
    long a;
    scanf("%d",&a);
    if(a>n/3)
    {
        printf("-1");
    }
    else
    {
        if(n%2==0)
        {
            printf("%d 0\n",a);
            printf("%d 0\n",a);
            printf("%d %d\n",((n-a*2)-2)/2+2,((n-a*2)-2)/2);
        }
        else
        {
            printf("%d 1\n",a);
            printf("%d 0\n",a);
            printf("%d %d\n",((n - a * 2) - 3) / 2 + 2, ((n - a * 2) - 3) / 2);
        }
    }
}